%define	name	tcsh-rhcn
%define	version	6.08.00
%define	release	1
%define	serial	1

Summary:	Enhanced c-shell
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	distributable
Group:		Shells
URL:		http://www.primate.wisc.edu/software/csh-tcsh-book
Vendor:		Christos Zoulas <christos@gw.com>
Source:		ftp://ftp.astron.com/pub/tcsh/tcsh-6.08.tar.gz
Patch0:		tcsh-6.07.09-utmp.patch
Patch1:		tcsh-6.07.09-termios.patch
Patch2:		tcsh-6.08.00-security.patch
Distribution:	Red Hat Contrib|Net
Packager:	Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Obsoletes:	tcsh
Provides:	csh
Prereq:		fileutils grep
Buildroot:	/tmp/%{name}-%{version}-root
Summary(de):	Erweiterte C-Shell
Summary(fr):	Shell C amlior.
Summary(tr):	Gelimi c-kabuu (c-shell)

%description
'tcsh' is an enhanced version of csh (the C shell), with additional features
such as command history, filename completion, and fancier prompts.

%description -l	de
'tcsh' ist eine erweiterte Version von csh (der C-Shell) mit zustzlichen
Funktionen wie Befehlsgeschichte, Dateinamenvervollstndigung und
attraktiveren Prompts.

%description -l	fr
'tcsh' est une version amliore de csh (le shell C), avec des
fonctionnalits supplmentaires comme un historique des commandes,
la compltion des noms de fichiers, et des prompts sympas.

%description -l	tr
tcsh, csh'in (C kabuu) gelikin bir srmdr ve komut tarihesi, dosya ad
tamamlama ve k komut imleri gibi zellikler sunar.

%prep
%setup -q -n tcsh-%{version}
%patch0 -p1 -b .getutent
%patch1 -p1 -b .termios
%patch2 -p1 -b .security

CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=/usr --exec-prefix=""

%build
make LIBES="-lnsl -ltermcap -lcrypt"
gzip -9 tcsh.man

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
install -d -m 755 $RPM_BUILD_ROOT/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man1

install -m 755 -s tcsh $RPM_BUILD_ROOT/bin/tcsh
install -m 644 tcsh.man.gz $RPM_BUILD_ROOT/usr/man/man1/tcsh.1.gz
nroff -me eight-bit.me > eight-bit.txt

(cd $RPM_BUILD_ROOT/bin; ln -sf tcsh csh; )

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/tcsh" > /etc/shells
	echo "/bin/csh" > /etc/shells
else
	grep '^/bin/tcsh$' /etc/shells > /dev/null || echo "/bin/tcsh" >> /etc/shells
	grep '^/bin/csh$' /etc/shells > /dev/null || echo "/bin/csh" >> /etc/shells
fi

%postun
if [ ! -x /bin/tcsh ]; then
	grep -v '^/bin/tcsh$' /etc/shells | grep -v '^/bin/csh$'> /etc/shells.rpm
	mv /etc/shells.rpm /etc/shells
fi

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ Fixes NewThings README WishList Y2K complete.tcsh eight-bit.txt
/bin/tcsh
/bin/csh
/usr/man/man1/tcsh.1.gz

%changelog
* Wed Mar 31 1999 Ryan Weaver <ryanw@infohwy.com>
  [tcsh-rhcn-6.08.00-1]
- Upgraded to version 6.08.00
- Fixed RPM build so that tcsh knows it's in /bin now.

* Fri Oct 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 6.07.09 from the freebsd
- security fix

* Wed Aug  5 1998 Jeff Johnson <jbj@redhat.com>
- use -ltermcap so that /bin/tcsh can be used in single user mode w/o /usr.
- update url's

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 6.07; added BuildRoot
- cleaned up the spec file; fixed source url

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- added termios hacks for new glibc
- added /bin/csh to file list

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
 - Provides csh, adds and removes /bin/csh from /etc/shells if csh package
isn't installed.
